# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Get IP address information about this host
Name:		perl-Sys-HostAddr
Version:	0.993
Release:	3.%{__distinit}%{__distvers}
License:	Artistic
Url:		http://search.cpan.org/dist/Sys-HostAddr/
Source0:	http://search.cpan.org/CPAN/authors/id/J/JK/JKISTER/Sys-HostAddr-%{version}.tgz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	net-tools
BuildRequires:	perl(IO::Socket::INET) >= 1.25
BuildRequires:	perl(strict)
BuildRequires:	perl(Sys::Hostname) >= 1.1
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Test::Simple)
# Runtime
Requires:	net-tools
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Sys::HostAddr provides methods for determining IP address information about a
local host.

%prep
%setup -q -n Sys-HostAddr-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license Artistic
%else
%doc Artistic
%endif
%doc Changes README
%{perl_vendorlib}/Sys/
%{_mandir}/man3/Sys::HostAddr.3*

%changelog
* Thu Apr 12 2018 Paul Howarth <paul@city-fan.org> - 0.993-3
- Stop ignoring test suite results
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Sun Jun  4 2017 Paul Howarth <paul@city-fan.org> - 0.993-2
- Ignore test suite results as tests require a network

* Thu Apr 20 2017 Paul Howarth <paul@city-fan.org> - 0.993-1
- Initial RPM version
